<?php
/***********************************************************************************
 요기보드를 웹호스팅 루트에 설치할 경우의 예제입니다.
 루트가 아닌 하위폴더에 설치시는 ..PATH 와 ..DIR 폴더의 위치를 변경해 주시면 됩니다.
************************************************************************************/
//==== 요기보드 버전 =====================================
define('YOGI', '3.0');
//==== DB 접속정보 =======================================
define('DB_HOST', 'localhost');
define('DB_USER', '아이디'); //- 호스팅 신청아이디
define('DB_NAME', 'DB명');   //- 웹호스팅 사용시 보통 아이디와 동일
define('DB_PASS', 'DB비번'); //- DB 비번 

//==== html(src, href..)에서 사용하는 상대경로 ======================
define('ROOT_PATH'      , ''); //** 루트(/)에 설치시에는 공백('')으로 입력
define('ADMIN_PATH'     , '/admin');    //관리자페이지 위치
define('IMG_PATH'       , '/img');      //그림파일 위치
define('BBS_IMG_PATH'   , '/img/bbs');  //bbs게시판 첨부 그림위치

//==== include, require 에서 사용하는 절대경로 =======================
$root = $_SERVER['DOCUMENT_ROOT'] ;
define('ROOT_DIR'       , $root .'/');
define('ADMIN_DIR'      , $root .'/admin');     //관리자페이지 위치
define('YOGI_DIR'       , $root . '/yogi');     //요기보드 모듈
define('BBS_IMG_DIR'    , $root . '/img/bbs');  //bbs 게시판 첨부 그림위치

//==== 기타 상수들 ==================================================
define('BBS_IMG_MAX'   ,2048000);   // 게시판그림 최대크기 2Mb (2000 * 1024)
define('BBS_WIDTH_MAX' ,800);       // 게시판그림 최대 가로크기 800px (더크면 자동축소)

//==== 관리자 등급 지정
define('ADMIN_LEVEL', 8); // 이 등급 이상의 회원은 관리자페이지 접근 및 사용자글 수정,삭제 가능

//==== 세션 시작 안했으면 세션시작
if(!isset($_SESSION)) { session_start(); };
//==== 세션변수가 없는데, 쿠키에 있으면 쿠키변수를 받는다.
/***** 쿠키 사용시 주석 해제하고 사용 하시오.
if (!isset($_SESSION['ssuno']) and isset($_COOKIE['ckuno'])) {
    $_SESSION['ssuno']   = $_COOKIE['ckuno'];
    $_SESSION['ssuid']   = $_COOKIE['ckuid'];
    $_SESSION['ssuname'] = $_COOKIE['ckuname'];
    $_SESSION['sslevel'] = $_COOKIE['cklevel'];
}
**/
//==== 주소줄에 PHPSESSID 표시 안되게
@ini_set("session.use_trans_sid", 0);
@ini_set("url_rewriter.tags","");
?>
