<?php
//---- 관리자페이지의 [가입회원 정보] 관리 -----------------------------
include_once('./_path.php');
if (!(isset($_SESSION['ssuno']) OR $_SESSION['sslevel'] >= ADMIN_LEVEL)) { // 관리자 레벨이 아니면 그냥 나간다.
    echo '<h1>Not Found</h1>';
    echo 'Bad Command or requested URL was not found on this server.';
    exit ;
}
$current_menu = '관리자' ;  // 메인메뉴
$results_per_page = 20 ;    // 페이지당 게시글 출력수

include_once('../menu_sub.php');// 메인메뉴에 따른 부메뉴
include_once('../layout2.php');
echo '<h3>가입회원 정보</h3>'; // 상단제목

//---- bbs.php 의 내용을 모두 넣어서 파일1개로 처리 함 --------------------------------------------------------

$cur_page = isset($_GET['page']) ? $_GET['page'] : 1;           // 현재 페이지번호
$search   = isset($_GET['search']) ? $_GET['search'] : null ;   // 검색어
$pre_url  = empty($search) ? 'page='.$cur_page : 'page='.$cur_page.'&search='.$search ; // 현재 페이지와 검색어 url 기억

$action = isset($_GET['mode']) ? $_GET['mode'] : null ;
switch ($action) {
  //***** 보기 *****************************************************************************************************
  case 'view' :
    if (!isset($_GET['uno'])) {
        echo '<script>alert("잘못된 회원번호 입니다!"); </script>';
        echo '<script>location=" '. $_SERVER['PHP_SELF'] .' "</script> ';
        exit;
    }

    $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('DB 접속에러!');
    mysqli_query($dbc, "SET NAMES UTF8");
    $uno = $_GET['uno'];
    $query = "SELECT * FROM yg_user WHERE uno = $uno" ;
    $result = mysqli_query($dbc, $query) or die('DB 쿼리에러');
    $row = mysqli_fetch_array($result) ;
    $uno = $row['uno'];
?>

    <table class="w3-table w3-border w3-bordered w3-margin">
    <tbody>
        <tr><th class="yg-w20 yg-silver w3-right-align">번호&nbsp;</th><td> <?php echo $row['uno'];?></td></tr>
        <tr><th class="yg-w20 yg-silver w3-right-align">가입일&nbsp;</th><td> <?php echo $row['date'];?></td></tr>
        <tr><th class="yg-w20 yg-silver w3-right-align">아이디&nbsp;</th><td> <?php echo $row['uid'];?></td></tr>
        <tr><th class="yg-w20 yg-silver w3-right-align">이 름&nbsp;</th><td> <?php echo $row['uname'];?></td></tr>
        <tr><th class="yg-w20 yg-silver w3-right-align">연락처&nbsp;</th><td> <?php echo $row['mobile'];?></td></tr>
        <tr><th class="yg-w20 yg-silver w3-right-align">이메일&nbsp;</th><td> <?php echo $row['email'];?></td></tr>
        <tr><th class="yg-w20 yg-silver w3-right-align">등급&nbsp;</th><td> <?php echo $row['level'];?></td></tr>
        <tr><th class="yg-w20 yg-silver w3-right-align">메모&nbsp;</th><td> <?php echo $row['note'];?></td></tr>
    </tbody>
    </table>
    <button onclick="history.back()">목록으로</button>
<?php
    echo '      <a href="' .$_SERVER['PHP_SELF'].'?mode=edit&uno='.$uno.'&'.$pre_url. '"><button>수정</button></a>' ."\n";
    echo '      <a href="' .$_SERVER['PHP_SELF'].'?mode=delete&uno='.$uno.'&'.$pre_url. '"' .' onclick="'."return confirm('삭제하시겠습니까?  이 회원의 게시글은 삭제 안합니다.')".'"><button>삭제</button></a>'."\n";
    break ;

  //***** 수정 *****************************************************************************************************
  case 'edit' :
    $isForm = true;
    $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('DB 접속에러');
    //-- (1) 수정화면에서[저장] 눌러서 들어온 것이면..
    if (isset($_POST['submit'])) {
        $isForm = false;
        $uno   = mysqli_real_escape_string($dbc, trim($_POST['uno']));
        $date  = mysqli_real_escape_string($dbc, trim($_POST['date']));
        $uid   = mysqli_real_escape_string($dbc, trim($_POST['uid']));
        $uname = mysqli_real_escape_string($dbc, trim($_POST['uname']));
        $mobile = mysqli_real_escape_string($dbc, trim($_POST['mobile']));
        $email = mysqli_real_escape_string($dbc, trim($_POST['email']));
        $level = mysqli_real_escape_string($dbc, trim($_POST['level']));
        $note  = mysqli_real_escape_string($dbc, trim($_POST['note']));
        $pass  = mysqli_real_escape_string($dbc, trim($_POST['pass']));

        // 아이디를 변경한 경우, 변경한 아이디가 사용중인지 검사
        $query = "SELECT uno, uid FROM yg_user WHERE uid = '$uid' AND uno <> '$uno'" ; // 이 회원 이외에 변경할 아이디가 있는지 SELECT
        $result = mysqli_query($dbc, $query) or die('DB 쿼리에러2');
        $row = mysqli_fetch_array($result);

        if (mysqli_num_rows($result) > 0) {
            echo("<script>alert('변경할 아이디는 이미 다른 회원이 사용중입니다. 다른 아이디를 입력하세요!');</script>");
            $isForm = true;
        }
        if (empty($uid) OR empty($uname)) {
            // 제목이 없으면 다시 입력하도록 한다
            echo("<script>alert('아이디, 이름을 입력하세요.!');</script>");
            $isForm = true;
        }
        if ($isForm <> true) {
            // 저장하고 나간다
            $query = "UPDATE yg_user SET uid='$uid', uname='$uname', mobile='$mobile', email='$email', level='$level', note='$note' WHERE uno=$uno LIMIT 1";
            mysqli_query($dbc, $query) or die ('자료수정 실패1');
            // 비밀번호가 있으면 비번만 별도로 다시 변경한다.
            if (!empty($pass)) {
                $query = "UPDATE yg_user SET pass=SHA('$pass') WHERE uno=".$_GET['uno']. ' LIMIT 1';
                mysqli_query($dbc, $query) or die ('비밀번호 변경 실패');
            }
            mysqli_close($dbc);
            echo '<script>location="'. $_SERVER['PHP_SELF'].'?'.$pre_url.'"</script> '; // 들어왔던 페이지지로 이동
            exit();
        }
    }
    //-- (2) 회원리스트에서 클릭해 왔으면...
    else {
        if (!isset($_GET['uno'])) {
            echo '<script>alert("잘못된 회원번호 입니다!"); </script>';
            echo '<script>location=" '. $_SERVER['PHP_SELF'] .' "</script> ';
            exit;
        }
        $uno = $_GET['uno'];
        $query = "SELECT * FROM yg_user WHERE uno=$uno" ;
        $result = mysqli_query($dbc, $query) or die('No Data') ;
        $row = mysqli_fetch_array($result);
        $uno = $row['uno'];
        $date = $row['date'];
        $uid = $row['uid'];
        $uname = $row['uname'];
        $mobile = $row['mobile'];
        $email = $row['email'];
        $level = $row['level'];
        $note = $row['note'];
        mysqli_close($dbc);
        $isForm = true;
    }

    // 위에서 $isForm = true 이면 입력폼을 출력
    if ($isForm == true) {
        $mode = '?mode=edit&uno='.$_GET['uno'].'&'.$pre_url ;
        //회원정보 수정폼 삽입
?>
    <form method='post' action="<?php echo $_SERVER['PHP_SELF'] . $mode ; ?>">
      <table class="w3-table w3-border w3-bordered" style="max-width:600px; margin:auto" >
      <tr>
        <td class="yg-w20 yg-silver w3-right-align">회원No&nbsp;</td>
        <td><input type="text" name="uno" class="" <?php echo "value='$uno'"; ?> readonly>
          &nbsp;&nbsp;&nbsp; 가입일 : <input type="date" name="date" class="" <?php echo "value='$date'"; ?> readonly >
        </td>
      </tr>
      <tr>
        <td class="yg-w20 yg-silver w3-right-align">아이디&nbsp;</td>
        <td><input type="text" name="uid" class="" <?php echo "value='$uid'"; ?>></td>
      </tr>
      <tr>
        <td class="yg-w20 yg-silver w3-right-align">이름&nbsp;</td>
        <td><input type="text" name="uname" class="yg-w100" <?php echo "value='$uname'"; ?> autocomplete=off autofocus ></td>
      </tr>
      <tr>
        <td class="yg-w20 yg-silver w3-right-align">연락처&nbsp;</td>
        <td><input type="text" name="mobile" class="yg-w100" <?php echo "value='$mobile'"; ?>></td>
      </tr>
      <tr>
        <td class="yg-w20 yg-silver w3-right-align">이메일&nbsp;</td>
        <td><input type="email" name="email" class="yg-w100" <?php echo "value='$email'"; ?>></td>
      </tr>
      <tr>
        <td class="yg-w20 yg-silver w3-right-align">비밀번호&nbsp;</td>
        <td><input type="password" name="pass" class="" >
          &nbsp;&nbsp;(비밀번호 변경시에만 새비번 입력)
        </td>
      </tr>
      <tr>
        <td class="yg-w20 yg-silver w3-right-align">등급&nbsp;</td>
        <td>
          <select name="level" style="height:30px">
            <option value="0"<?php if($level == "0") echo " selected"; ?>>0</option>
            <option value="1"<?php if($level == "1") echo " selected"; ?>>1</option>
            <option value="2"<?php if($level == "2") echo " selected"; ?>>2</option>
            <option value="3"<?php if($level == "3") echo " selected"; ?>>3</option>
            <option value="4"<?php if($level == "4") echo " selected"; ?>>4</option>
            <option value="5"<?php if($level == "5") echo " selected"; ?>>5</option>
            <option value="6"<?php if($level == "6") echo " selected"; ?>>6</option>
            <option value="7"<?php if($level == "7") echo " selected"; ?>>7</option>
            <option value="8"<?php if($level == "8") echo " selected"; ?>>8</option>
            <option value="9"<?php if($level == "9") echo " selected"; ?>>9</option>
            <option value="10"<?php if($level == "10") echo " selected"; ?>>10</option>
          </select>
          &nbsp;&nbsp;(0.탈퇴자 1~7.회원등급  8,9,10.관리자)
        </td>
      </tr>
      <tr>
        <td class="yg-w20 yg-silver w3-right-align">메모&nbsp;</td>
        <td><input type="text" name="note" class="yg-w100" <?php echo "value='$note'"; ?>></td>
      </tr>
      </table>

      <div class="w3-center w3-margin">
          <input type="submit" name="submit" value="저 장">
          <input type="button" value="취 소" onclick="history.go(-2)">
      </div>
    </form>

<?php
    }  // if ($isForm == true) {
    break ;


  //***** 삭제 *****************************************************************************************************
  case 'delete' :

    if (!isset($_GET['uno'])) {
        echo '<script>alert("잘못된 회원번호 입니다!"); </script>';
        echo '<script>location=" '. $_SERVER['PHP_SELF'] .' "</script> ';
        exit;
    }
    $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('DB 접속에러! - admin_menu1.');
    //---- 회원삭제
    $query = "DELETE FROM yg_user WHERE uno = $uno LIMIT 1" ;
    $result = mysqli_query($dbc, $query) or die('회원삭제에러 - admin_menu1 ');
    echo("<script>alert('삭제 되었습니다.');</script>");
    echo '<script>location="'. $_SERVER['PHP_SELF'].'?'.$pre_url.'"</script> '; // 들어왔던 페이지지로 이동
    break;

  //***** 회원리스트 *****************************************************************************************************
  default :
    include_once(YOGI_DIR . '/search.php') // 검색상자
?>
    <table class="w3-table w3-bordered w3-margin-top">
    <thead class="w3-gray">
    <tr><th width=60px>번호</th><th width=100px>가입일</th><th width=100px class="w3-left-align">아이디</th><th width=100px class="w3-left-align">이름</th><th width=60px>등급</th><th class="w3-left-align">메모</th></tr>
    </thead>
    <tbody>
<?php
    if (empty($results_per_page)) {$results_per_page = 10;} // 페이지당 출력수 지정안하면 기본값 10줄로..
    $skip = (($cur_page - 1) * $results_per_page);

    //---- DB접속
    $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('DB 접속에러 in bbs.list.php');
    mysqli_query($dbc, "SET NAMES UTF8");

    //---- 검색결과와 총 갯수, 페이지수 계산
    $query = "SELECT * FROM yg_user WHERE uid LIKE '%$search%' OR  uname LIKE '%$search%' OR  email LIKE '%$search%' OR  note LIKE '%$search%'"  ;
    $result = mysqli_query($dbc, $query);
    $total  = mysqli_num_rows($result);
    $num_pages = ceil($total / $results_per_page);

    //---- 현재 페이지의 내용만 가져 오는 쿼리
    $query  = $query . "  ORDER BY uno DESC LIMIT $skip, $results_per_page";
    $result = mysqli_query($dbc, $query) or die('Query에러 in bbs.list.php');
    if (mysqli_num_rows($result) == 0) $num_pages += 1;  // 마지막 페이지에 1개 있던 글을 지우면 전체페이지+1 해서 빈페이지를 보여줌
    while ($row = mysqli_fetch_array($result)) {
        echo '    <tr>';
        echo ' <td>' . $row['uno'] . '</td>';
        echo ' <td>' . substr($row['date'],2,8) . '</td>';
        echo ' <td class="w3-left-align"><a href="'.$_SERVER['PHP_SELF'].'?mode=view&uno='.$row['uno'].'&'.$pre_url.'">'.$row['uid'].'</a></td>';
        echo ' <td class="w3-left-align">' . $row['uname'] . '</td>';
        echo ' <td>' . $row['level'] . '</td>';
        echo ' <td class="w3-left-align">'.$row['note'].'</td>';
        echo '</tr>' . "\n";
    }
    echo "  <tbody>\n";
    echo "</table>\n";

    //---- 하단에 페이지 링크 생성
    if ($num_pages > 1) {
       // echo "  <div class='float-left small'>\n";
        echo generate_page_links($cur_page, $num_pages, $search);
       // echo "  </div>";
    }
    mysqli_close($dbc);

  } // End of switch
//*************************************************************
include_once(YOGI_DIR . '/page_links.php'); // 페이지 링크
//*************************************************************
?>

</div> <!-- col 9 -->
</div> <!-- row -->
</div> <!-- container -->
</body>
</html>