<!---- bbs_comment.php 시작 ----->
<?php
    //-- 이미 등록된 댓글들 보여주기
    $query = "SELECT B.`bno`, B.`datetime`, B.`linkfile`, B.`content`, B.`uno`, B.`writer`, U.`level`
            FROM yg_bbs as B
            LEFT JOIN yg_user as U on B.uno = U.uno
            WHERE B.parent=$bno";

    $result = mysqli_query($dbc, $query) OR die('검색 쿼리 에러 - bbs_comment.php');
    $cnt  = mysqli_num_rows($result);
    if ($cnt > 0) {
        while ($row = mysqli_fetch_array($result)) {
            // 글쓴이의 댓글은 좌측에 여백
            if ($row['uno'] == $uno) {
                echo '<div style="margin-left:100px;" class="w3-margin-right w3-border w3-round-large">';
            } else {
                echo '<div class="w3-margin w3-border w3-light-gray w3-round-large">';
            }
            echo '<div class="w3-margin-bottom">';
            // 날짜는 20-06-15 15:00 까지만 표시
            echo '<span class="w3-small w3-text-gray" style="float:left">&nbsp;&nbsp;'. substr($row['datetime'],2,14) . '&nbsp;&nbsp;' . $row['writer'] . '</span>';
            // 관리자와 글쓴이는 댓글 수정 삭제
            if ($row['uno'] == $_SESSION['ssuno'] OR $_SESSION['sslevel'] >= ADMIN_LEVEL) {
                echo '<span class="w3-small w3-text-gray" style="float:right">';
                echo '<a href="'. $_SERVER['PHP_SELF'] .'?mode=cmt&bno='. $row['bno'] .'">수정</a>&nbsp;&nbsp;';
                echo '<a href="'. $_SERVER['PHP_SELF'] .'?mode=delcmt&bno='. $row['bno'] .'">삭제</a>&nbsp;&nbsp;';
                echo '</span>';
            }
            echo '</div>';
            echo '<div class="w3-padding w3-left-align">';
            // 첨부 그림파일 있으면 보여주기
            if ($row['linkfile']) {
                echo '<img src="'.BBS_IMG_PATH . '/bbs_' . $row['linkfile'] .'" class="w3-image">'."<br>";
            }
            // 댓글 내용의 html 태그는 관리자급만 작동하게..
            if ($row['level'] < ADMIN_LEVEL) {
                echo nl2br(htmlspecialchars($row['content']));
            } else {
                echo nl2br($row['content']);
            }
            echo '</div>';
            echo '</div>'."\n";
        };
    };
    if ($cmtcnt > 3){ //-- 댓글이 3개 이상이면 아래쪽에도 목록 버튼 하나 더 표시
        echo '<a href="'. $_SERVER['PHP_SELF'] . '?'. $pre_url. '"><button class="w3-small">목록으로</button></a>';
    }
    //-- 로그인하지 않았거나 글쓰기 등급 아래면 댓글 추가창 보이지 않게 바로 나간다
    if (!isset($_SESSION['ssuno']) OR $_SESSION['sslevel'] < $write_level) { 
        return; 
    }; 
    echo '<div class="w3-center w3-margin-bottom">';
    if ($action == 'add' OR $action == 'view') {
        echo '<img id="cmt-img2" class="w3-image">';
    } else if ($action == 'edit' && !empty($linkfile)) {
        echo '<img id="cmt-img2" src="'.BBS_IMG_PATH . '/bbs_' . $linkfile.'" class="w3-image">';
    }
    echo '</div>';
    $subject = htmlspecialchars($subject);
?>

<form method="post" class="w3-margin" action="<?php echo $_SERVER['PHP_SELF'] . $mode ; ?>" enctype="multipart/form-data">
    <input type="hidden" name="MAX_FILE_SIZE" value="<?php echo BBS_IMG_MAX; ?>" />
    <input type="hidden" name="subject" value="<?php echo $subject; ?>" />
    <textarea name="content" class="w3-input w3-border w3-margin-bottom" rows="4" required><?php echo $content;?></textarea>
    <div class="w3-small w3-center">
    <?php if ($_SESSION['sslevel'] >= ADMIN_LEVEL) { 
        echo '<input type="file" name="uploadfile" id="img1" onChange="showImg()">';} //관리자만 댓글에 그림첨부 되게 
    ?>
        <input type="submit" name="cmt-submit" value="댓글저장" />
    </div>
</form>

<!-- 선택한 파일을 화면에 바로 보여주는 스크립코드 -->
<script type="text/javascript">
  function showImg() {
    var input = document.getElementById("img1");
    var fReader = new FileReader();
    fReader.readAsDataURL(input.files[0]);
    fReader.onloadend = function(event){
        var img = document.getElementById("cmt-img2");
        img.src = event.target.result;
    }
  }
</script>
<!---- bbs_comment.php 끝 ----->
