<!---- 로그인 시작(user_login.php) -------->
<?php
if (!defined('YOGI')) exit ; // 개별 페이지 접근 불가
$error_msg = "";  // 에러메시지 초기화
//---- 세션변수가 없고(즉 로그아웃 상태), [로그인] 버튼을 눌러 들어 왔으면..
if (!isset($_SESSION['ssuno']) && isset($_POST['submit'])) {  
    // POST로 넘어온 값을 정리해서 변수에 대입
    $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('db접속에러'); // DB 접속
    $uid  = mysqli_real_escape_string($dbc, trim($_POST['uid']));
    $pass = mysqli_real_escape_string($dbc, trim($_POST['pass']));

    if (!empty($uid) && !empty($pass)) {
        // 입력한 아이디/비번과 맞는 자료가 있는지 검색
        $query = "SELECT uno, uid, uname, level, pass FROM yg_user WHERE uid = '$uid'";
        $data = mysqli_query($dbc, $query) or die('로그인 아이디 검색에러-요기1');
        if (mysqli_num_rows($data) == 1) {
            // 검색결과가 1개이면 세션변수에 넣고 메인화면으로 이동
            $row = mysqli_fetch_array($data);
            if (password_verify($pass, $row['pass'])) { // 비밀번호가 맞으면 세션에 값넣기
                $_SESSION['ssuno'] = $row['uno'];
                $_SESSION['ssuid'] = $row['uid'];
                $_SESSION['ssuname'] = $row['uname'];
                $_SESSION['sslevel'] = $row['level'];
                //-- 쿠키 사용하려면 아래 주석 해제 
                //setcookie('ckuno', $row['uno'], time() + (60 * 60 * 24 * 1));    // 만기 1일 (60초 * 60분 * 24시간 * 1일)
                //setcookie('ckuid', $row['uid'], time() + (60 * 60 * 24 * 1));
                //setcookie('ckuname', $row['uname'], time() + (60 * 60 * 24 * 1));
                //setcookie('cklevel', $row['level'], time() + (60 * 60 * 24 * 1));
                echo '<script>location=" ' . ROOT_PATH . '/";</script>'; // 루트로 이동
            } else {
                $error_msg = '아이디/비번을 다시 점검해 보세요.';
            }
        } else {
            // 넘어온 아이디가 없으면
            $error_msg = '아이디/비번을 다시 점검해 보세요.';
        }
    } else {
        // 아이디/비번을 입력하지 않았으면
        $error_msg = '아이디/비번을 입력하세요.';
    }
}
//---- 세션변수가 없으면 다시 로그인폼을 출력
if (empty($_SESSION['ssuno'])) {
    echo '    <p class="w3-red">' . $error_msg . '</p>';
?>
    <h1>Login</h1>
    <form class="w3-left-align" style="max-width:400px; margin:auto" method='post' action="<?php echo $_SERVER['PHP_SELF']; ?>">
      <input type="text" name="uid" class="w3-input w3-border w3-margin-bottom" placeholder="아이디" value="<?php if (!empty($uid)) echo $uid; ?>" required autofocus>
      <input type="password" name="pass" class="w3-input w3-border w3-margin-bottom" placeholder="비밀번호" required>
      <button class="w3-button w3-border w3-block w3-round-large w3-blue" type="submit" name="submit">로 그 인</button> 
    </form>	
<?php    
} else {
    // 로그인이 되었으면
    echo('    <p class="login">로그인 되었습니다. ' . $_SESSION['ssuname'] . ' 님</p>');
}
?>
<!---- 로그인 끝(user_login.php) -------->
