<?php
if (!defined('YOGI')) exit ; // 개별 페이지 접근 불가
/****
 아래 action 값에 따른 (add,edit,cmt,view,delete,default)php 파일을 호출할 당시의 page번호,검색어를 $pre_url 변수에 저장해 둔다.
 추가,수정,보기,삭제등의 화면에서 [취소]나 [목록]으로 전 리스트로 이동할때 페이지와 검색어를 유지해야 하기 때문.
 예를들어 리스트 3페이지에서 어떤 글을 수정하고 저장했더니 다시 1페이지로 가버리면 이상하잖아.
 또 검색을 한 상태에서 어떤 글을 보고 나서 [목록으로]를 클릭했더니 검색이 풀린 상태로 전체가 보이면 그것도 이상하잖아..ㅎ
 아무튼 그래서 이렇게 만들기는 했는데... 더 간단하고 좋은 방법 없을까??.. 누군가 도전해 주길 바래...
****/
$cur_page = isset($_GET['page']) ? $_GET['page'] : 1;           // 현재 페이지번호
$search   = isset($_GET['search']) ? $_GET['search'] : null ;   // 검색어
$pre_url  = empty($search) ? 'page='.$cur_page : 'page='.$cur_page.'&search='.$search ; // 현재 페이지와 검색어 url 기억
$action = isset($_GET['mode']) ? $_GET['mode'] : '';            // 상태 (추가수정,삭제,보기,리스트)

if (!isset($read_level)) { $read_level = 0;};   // 글읽기 권한 없으면 기본 0
if (!isset($write_level)) { $write_level = 2;}; // 글쓰기 권한 없으면 기본 2

switch ($action) { // 인자로 들어온 action 값에 따라 이동한다.
//===== 추가,수정 ===============================================================================================================
case 'add'   :
case 'edit'  :
case 'cmt'   :
    $isForm = true;  // 폼양식 출력함
    if(isset($_POST["submit"])) {  //-- bbs_edit.php 에서 저장 눌러서 들어오면
        if ($action == 'cmt') { $action ='cmt-edit';}
        $isForm = save_bbs($action, $bno, $catno, $mode, $isAlbum); //-- 추가,수정내용 저장함수
    } else {
        if (!isset($_SESSION['ssuno'])) {echo '로그인을 먼저 하세요.'; exit; } // 회원만 추가할 수 있게..
        if ($_SESSION['sslevel'] < $write_level) {  // 사용자 레벨이 게시판 글쓰기 권한 보다 작으면
          echo '글쓰기 권한이 없습니다.';
          exit ;
        }
        $subject = '';
        $content = '';
        $uno  = $_SESSION['ssuno'];
        if ($action == 'edit' OR $action == 'cmt') {
            if (!isset($_GET['bno'])) { echo '잘못된 자료입니다.'; exit(); }
            $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('DB 접속에러');
            $query = "SELECT  `subject`, `content`, `linkfile`, `uno`  FROM yg_bbs WHERE bno=" . $_GET['bno'] ;
            $result = mysqli_query($dbc, $query) or die('게시글을 찾을 수 없습니다.') ;
            $row = mysqli_fetch_array($result);
            $subject = $row['subject'];
            $content = $row['content'];
            $linkfile= $row['linkfile'];
            $uno  = $row['uno'];
            // 수정은 작성자 본인 or 관리자가 아니면 그냥 나간다
            if ($_SESSION['sslevel'] < ADMIN_LEVEL AND $uno <> $_SESSION['ssuno']) {
                mysqli_close($dbc);
                echo '권한이 없습니다.';
                exit ;
            }
            mysqli_close($dbc);
        }
    }
    //---- $isForm 이 true 이면 폼양식을 출력한다.
    if ($isForm) {
        if ($action == 'add') {
            $mode = '?mode=add&'. $pre_url ;
        } else if ($action == 'edit') {
            $mode = '?mode=edit&bno='.$_GET['bno'].'&'.$pre_url ;
        } else if ($action == 'cmt') {
            $mode = '?mode=cmt&bno='.$_GET['bno'].'&'.$pre_url ;
        }
        //*************************************************************
        include_once(YOGI_DIR . '/bbs_edit.php'); //  게시판 입력폼 삽입
        //*************************************************************
    }
    break;

//=====   보기    =========================================================================================================
case 'view'   :
    if (!isset($_GET['bno'])) {
        echo '<script>alert("잘못된 글번호 입니다!"); </script>';
        echo '<script>location=" '. $_SERVER['PHP_SELF'] .' "</script> ';
        exit;
    }
    if ($_SESSION['sslevel'] < $read_level) {  // 사용자 레벨이 게시판 글읽기 권한 보다 작으면
        echo '글읽기 권한이 없습니다.';
        exit ;
    }
    $bno = $_GET['bno'];
    $mode = '?mode=view&bno='.$_GET['bno'].'&'.$pre_url ;
    //-- 댓글 입력저장(추가만)...
    if(isset($_POST["cmt-submit"])) {
        $action = 'cmt-add';
        save_bbs($action, $bno, $catno, $mode, $isAlbum); //-- 댓글 추가내용 저장함수 (수정은 위 $action = edit 에서..)
    }

    $bno = $_GET['bno'];
    $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('DB 접속에러!');
    $query = "SELECT `datetime`, `subject`, `content`, `uno`, `linkfile`, `cmt`, `hit`, `writer` FROM yg_bbs WHERE bno = $bno" ;
    $result = mysqli_query($dbc, $query) or die('DB 쿼리에러-bbs.php');
    $row = mysqli_fetch_array($result) ;
    $uno = $row['uno'];
    $linkfile = $row['linkfile'];

    $hit = $row['hit'] + 1 ; // 조회수를 1 증가
    $query = "UPDATE yg_bbs SET hit='$hit' WHERE bno = $bno" ;
    $result = mysqli_query($dbc, $query) or die('DB 조회수 변경에러');
    //**************************************************************
    include_once(YOGI_DIR .'/bbs_view.php'); // 게시글과 댓글 보기
    //**************************************************************
    break;

//=====   삭제    =============================================================================================================
case 'delete' :
case 'delcmt' :
    if (!isset($_GET['bno'])) {
        echo '<script>alert("잘못된 글번호 입니다!"); </script>';
        echo '<script>location=" '. $_SERVER['PHP_SELF'] .' "</script> ';
        exit;
    }
    if (!isset($_SESSION['ssuno'])) {echo '로그인을 먼저 하세요.'; exit(); } // 회원만 삭제 할 수 있음
    $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('DB 접속에러! - bbs.php-delete');
    //---- 삭제 전에 본인이 쓴글 맞는지 or 관리자인지 다시 한번 체크
    $bno = $_GET['bno'];
    $query = "SELECT `parent`, `linkfile`, `uno` FROM yg_bbs WHERE bno = $bno LIMIT 1" ;
    $result = mysqli_query($dbc, $query) or die('삭제할 게시글 검색에러') ;
    $row = mysqli_fetch_array($result);
    $parent = $row['parent'];
    $linkfile = $row['linkfile'];
    $uno = $row['uno'];
    //---- 관리자가 아닌데, 본인이 쓴 글 아니면...
    if ($_SESSION['sslevel'] < ADMIN_LEVEL AND $uno <> $_SESSION['ssuno']) {
        echo '잘못된 접근입니다.';
        mysqli_close($dbc);
        exit;
    }
    //---- 부모글인데 댓글이 있으면 삭제 취소
    if ($action == 'delete' AND $parent == 0) {
        $query = "SELECT `cmt` FROM yg_bbs WHERE parent = $bno" ;
        $result = mysqli_query($dbc, $query) or die('DB 댓글 있는지 검사 에러');
        $total  = mysqli_num_rows($result);
        if ($total > 0) {
            echo "<script>alert('댓글이 있는 글은 삭제할 수 없습니다.')</script>";
            echo "<script>history.back()</script>";
            break;
        }
    }

    //--- 댓글삭제이면, 부모 찾아서 댓글수 1 감소
    if ($action == 'delcmt' AND $parent) {
        $query = "SELECT `cmt` FROM yg_bbs WHERE bno = $parent" ;
        $result = mysqli_query($dbc, $query) or die('DB 댓글 부모 댓글수 찾기 에러');
        $row = mysqli_fetch_array($result) ;
        $cmt = $row['cmt'] - 1 ; // 댓글수를 1 감소
        $query = "UPDATE yg_bbs SET cmt='$cmt' WHERE bno = $parent" ;
        $result = mysqli_query($dbc, $query) or die('DB 댓글수 변경에러');
    }

    // 먼저 기존 등록된 그림파일 삭제
    $deltefile = BBS_IMG_DIR . '/bbs_' . $linkfile;
    //echo "<script>alert('삭제파일:". $deltefile."');</script>";
    @unlink($deltefile);
    //-- 앨범으로 사용시 썸네일 그림도 삭제
    if ($isAlbum == true) {
        $deltefile = BBS_IMG_DIR . '/th_' . pathinfo($linkfile,PATHINFO_FILENAME). '.jpg' ;// 썸네일(th_) 삭제
        echo "<script>alert('삭제 썸네일 파일:".$deltefile."');</script>";
        @unlink($deltefile);
    }

    //---- 자료삭제
    $query = "DELETE FROM yg_bbs WHERE bno = $bno LIMIT 1" ;
    $result = mysqli_query($dbc, $query) or die('게시글 삭제에러');
    echo("<script>alert('삭제 되었습니다.');</script>");
    if ($action == 'delcmt') {
        echo '<script>location="'. $_SERVER['PHP_SELF'].'?mode=view&bno='.$parent.'&'.$pre_url.'"</script> '; // 보던 게시글로
    } else {
        echo '<script>location="'. $_SERVER['PHP_SELF'].'?'.$pre_url.'"</script> '; // 들어왔던 페이지로 이동
    }
    mysqli_close($dbc);
    break;
//===== 리스트 ============================================================================================================
default :
    //********************************************************
    if ($isAlbum == true) {
        include_once(YOGI_DIR . '/album_list.php'); // 앨범식 리스트 삽입
    } else {
        include_once(YOGI_DIR . '/bbs_list.php');   // 일반 리스트 삽입
        include_once(YOGI_DIR . '/search.php');     // 검색상자 삽입
    }
   //********************************************************
    break;
} //- End of Switch


//**** 함수 (게시글,댓글 저장) *******************************************************************************************
function save_bbs($action, $bno, $catno, $mode, $isAlbum) {
    $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('DB 접속에러');
    if ($_SESSION['sslevel'] >= ADMIN_LEVEL) {  // 관리자 level 은 html 태그들 다 먹히게
        $subject = mysqli_real_escape_string($dbc, trim($_POST['subject']));
        $content = mysqli_real_escape_string($dbc, trim($_POST['content']));
    } else {                            // 일반 사용자는 태그 안 먹히게...
        $subject = htmlspecialchars($_POST['subject'], ENT_QUOTES);
        $content = htmlspecialchars($_POST['content'], ENT_QUOTES);
    }

    if ($action == 'cmt-add') {  //-- 댓글추가면
        $subject = '(코)' . $subject;
    }
    if ($subject == '') {
        echo "<script>alert('제목은 반드시 입력해야 합니다.')</script>";
        return true;
    }

    //---- 일단 파일전송에 에러 있는지 확인한다.
    $error = $_FILES['uploadfile']['error'];
    if ($error && $error != 4) { // 수정모드에서 파일선택 안한경우($error=4) 빼고 전송에러 체크
        switch ($error) {
            case 1: echo "<script>alert('파일전송 실패. 파일크기가 서버설정(php.ini)값을 초과했습니다.')</script>"; break ;
            case 2: echo "<script>alert('파일전송 실패. 파일 크기를 확인해 보세요. 파일은 " . ceil(BBS_IMG_MAX / 1024) . " KB 이내여야 합니다. ')</script>"; break ;
            case 3: echo "<script>alert('파일전송 실패. 일부만 전송되었습니다.')</script>"; break ;
            case 4: echo "<script>alert('파일을 선택하지 않았습니다.')</script>"; break ;
            default: echo "<script>alert('파일전송 실패. 에러:". $error . "')</script>"; break ;
        }
        mysqli_close($dbc);
    } else {
        $isForm = false;  // 일단 폼양식 출력 안함으로 설정 (아래서 문제가 발생하면 출력함으로 변경한다.)
        //---- 전송된 파일이 있으면 나머지 검사를 한다
        $file_name = '';
        $save_file = '';
        $temp_file = $_FILES['uploadfile']['tmp_name']; // 전송된 임시파일
        if ($temp_file) {
            $file_name = $_FILES['uploadfile']['name'];
            $file_type = $_FILES['uploadfile']['type'];
            $file_size = $_FILES['uploadfile']['size'];
            $imageFileType = strtolower(pathinfo($file_name,PATHINFO_EXTENSION)); // 확장자
            // 저장될 파일명 (a+날짜+회원번호+확장자 )
            $save_file   = date("ymd_His") . '_' . $_SESSION['ssuno'] . '.' . $imageFileType ; //(예) 190516_121526_123.jpg
            $destination = BBS_IMG_DIR . '/bbs_'. $save_file ; // 저장할 폴더와 파일명 (파일명 앞에 bbs_ 붙임)

            // 이미지가 진짜 그림 파일인지 검사
            $check = getimagesize($temp_file);
            if($check == false) {
                echo "그림파일이 아닙니다.";
                $isForm = true;
            }
            // 저장할 폴더에 동일 파일명이 있는지 검사
            if (file_exists($destination)) {
                echo "저장 위치에 동일한 파일명이 존재합니다.  다시 시도해 보세요.";
                $isForm = true;
            }
            // 파일 사이즈 검사 (위의 if ($error) 에서 검사하지만 여기서 꼭 재확인해야함)
            if ($file_size > BBS_IMG_MAX) {
                echo "파일 크기가 너무 큽니다. 파일은 " . (BBS_IMG_MAX / 1024) . " KB 보다 작아야 합니다.";
                $isForm = true;
            }
            // 그림파일 종류 검사
            if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg" && $imageFileType != "gif" ) {
                echo "그림파일은 JPG, JPEG, PNG 와 GIF 형식만 지원됩니다.";
                $isForm = true;
            }

            // 검사를 모두 통과하면 임시파일에서 새이름으로 이동
            if ($isForm == false) {
                $source_image = imagecreatefromstring(file_get_contents($temp_file)); //파일정보 읽기
                $width  = imagesx($source_image);
                $height = imagesy($source_image);
                $t_width = BBS_WIDTH_MAX; // 가로사이즈 최대 크기

                if ($width >= $t_width) { // 가로가 지정크기 보다 크면 사이즈 줄여서 저장
                    $t_height = ceil(($height * $t_width) / $width) ; // 세로길이 계산
                    $source_image = imagecreatefromstring(file_get_contents($temp_file)); //파일정보 읽기
                    $save_file   = date("ymd_His") . '_' . $_SESSION['ssuno'] . '.jpg' ; //jpg 형식으로
                    $destination = BBS_IMG_DIR . '/bbs_'. $save_file ; // 저장할 폴더와 파일명 (파일명 앞에 bbs_ 붙임)
                    $virtual_image = imagecreatetruecolor($t_width, $t_height); //가상 이미지 틀 만들기
                    imagecopyresampled($virtual_image, $source_image, 0, 0, 0, 0, $t_width, $t_height, $width, $height); //이미지틀에 원본 축소해서 복사
                    imagejpeg($virtual_image, $destination); // jpg파일로 저장
                    imagedestroy($virtual_image); // 가상이미지 삭제
                } else {
                    // 그림파일을 임시파일 폴더에서 제자리로 이동
                    if (move_uploaded_file($temp_file, $destination)) {
                      //-- 이미지 전송후 뭔가 할 일이 있으면 이 자리에 추가
                    } else {
                        echo "이미지 파일 최종 전송처리에 실패했습니다.";
                        $isForm = true;
                    }
                }

                // 앨범사용이면 썸네일 이미지 만들기
                if ($isAlbum == true AND $isForm == false) {
                  $thumb_info = pathinfo($save_file);
                  // 썸네일 저장폴더와 파일명 (예) th_190516_121526_123.jpg
                  $thumb_file = BBS_IMG_DIR . '/th_'. $thumb_info['filename']. '.jpg' ;
                  make_thumb($destination, $thumb_file, 250, 200 );
                }

                // 수정에서 파일을 변경했으면 과거 파일은 삭제한다.
                if ($action == 'edit') {
                    $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('DB 접속에러');
                    $query = "SELECT * FROM yg_bbs WHERE bno=" . $_GET['bno'] ;
                    $result = mysqli_query($dbc, $query) or die('수정할 앨범자료를 찾을 수 없습니다. 수정하는 중에 다른 사용자가 삭제했을지도 모릅니다. 재확인해 보세요') ;
                    $row = mysqli_fetch_array($result);
                    $linkfile= $row['linkfile'];

                    $deltefile = BBS_IMG_DIR . '/bbs_' . $linkfile ;                               // 원본(bbs_)그림 삭제
                    echo("<script>alert('삭제파일 $deltefile');</script>");
                    @unlink($deltefile);
                    if ($isAlbum == true) {
                      $deltefile = BBS_IMG_DIR . '/th_' . pathinfo($linkfile,PATHINFO_FILENAME). '.jpg';// 썸네일(th_) 삭제
                      echo("<script>alert('삭제 썸네일 파일 $deltefile');</script>");
                      @unlink($deltefile);
                    }
                }
            }
            @unlink($temp_file); // 임시파일이 남아 있으면 삭제
        }

        //---- 이제 업로드 파일이 안전하게 저장되었으면 게시글과 파일정보를 DB에 저장
        if ($isForm == false) {
            if ($action == 'add' OR $action == 'cmt-add') {
                $uno = $_SESSION['ssuno'];
                $uname  = $_SESSION['ssuname'];
                $query = "INSERT INTO yg_bbs (catno, datetime, parent, linkfile, filename, subject, content, uno, writer)
                            VALUES ('$catno', now(), '$bno', '$save_file', '$file_name', '$subject', '$content', '$uno', '$uname')";
                mysqli_query($dbc, $query) or die('게시글 DB 추가에러:' . mysqli_error($dbc) );

                $query = "SELECT LAST_INSERT_ID()";  //  방금 추가한 bno 찾기
                $result = mysqli_query($dbc, $query);
                $row = mysqli_fetch_array($result);
                $new_bno = $row[0]; // 이메일로 질문내용 보내기 위한 새글 bno 저장
            } else if ($action == 'edit' OR $action == 'cmt-edit') {
                if ($file_name) {                                   // 업로드 파일이 있으면 새 파일로 교체
                    $query = "UPDATE yg_bbs SET linkfile='$save_file', filename='$file_name', subject='$subject', content='$content' WHERE bno=".$_GET['bno']." LIMIT 1";
                } else {                                            // 업로드 파일이 없으면 제목,내용만 수정
                    $query = "UPDATE yg_bbs SET subject='$subject', content='$content' WHERE bno=".$_GET['bno']." LIMIT 1";
                }
                mysqli_query($dbc, $query) or die('게시글 DB 수정에러');

            }
            $content = '';
            //--- 댓글 추가면, 댓글수 저장하기
            if ($action == 'cmt-add') {
                $query = "SELECT `cmt`, `uno` FROM yg_bbs WHERE bno = $bno" ;
                $result = mysqli_query($dbc, $query) or die('DB 댓글수 쿼리에러-bbs.php');
                $row = mysqli_fetch_array($result) ;
                $email_uno = $row['uno']; //-- 댓글달면 발송할 이메일 수신자 uno

                $cmt = $row['cmt'] + 1 ; // 댓글수를 1 증가
                $query = "UPDATE yg_bbs SET cmt='$cmt' WHERE bno = $bno" ;
                $result = mysqli_query($dbc, $query) or die('DB 댓글수 변경에러');
            }
            //--- 질문이 올라오면 sales@qmoney 로, 댓글을 적으면 질문작성자에게 이메일 보내기
            if ($action == 'add') {
                $headers = 'From: 알찬회계<root@uws7-158.cafe24.com>' ."\r\n";
                $headers .= 'MIME-Version: 1.0' . "\r\n";
                $headers .= 'Content-type:text/html; charset=UTF-8' . "\r\n";
                $subject = $subject;
                $message = '알찬회계 질문게시판에 글 올라왔어요..<br><br>';
                $message .= '<a href="http://rcount.kr/menu/qna.php?mode=view&bno=' . $new_bno . '" target="_blank">질문내역 보러가기</a>';
                $to = 'sales@qmoney.co.kr';
               // mail($to, $subject, $message, $headers);
            } else if ($action == 'cmt-add') {
                //--- 원글이 내가쓴 글이 아니면..댓글내용을 원글 작성자에게 이메일로 보내기
                if ($email_uno <> $_SESSION['ssuno']) {
                    $query = "SELECT `email` FROM yg_user WHERE uno = $email_uno" ;
                    $result = mysqli_query($dbc, $query) or die('DB 사용자 이메일찾기 쿼리에러-bbs.php');
                    $row = mysqli_fetch_array($result) ;
                    $to = $row['email'];
                    $email_content = nl2br($_POST['content']);//-- 댓글달면 발송할 이메일 본문
                    if (!empty($to)) {  // 이메일이 있으면
                        $headers = 'From: 알찬회계<help@rcount.kr>' ."\r\n";
                        $headers .= 'MIME-Version: 1.0' . "\r\n";
                        $headers .= 'Content-type:text/html; charset=UTF-8' . "\r\n";
                        $subject = '문의하신 글에 대한 답변입니다.';
                        $message = '<div style="font-family:나눔고딕,돋움; font-size:15px; line-height:1.8;">';
                        $message .= $email_content ;
                        $message .= '<br>--------------------------------------------<br>';
                        $message .= '<a href="http://rcount.kr/menu/qna.php?mode=view&bno=' . $bno . '" target="_blank">질문내용/답변 보러가기</a>';
                        $message .= '</div>';
                      //  mail($to, $subject, $message, $headers);
                    }
                }
            }
            mysqli_close($dbc);
            if ($action == 'cmt-add') {
                echo '<script>location=" '. $_SERVER['PHP_SELF'] . $mode .' "</script> ';
            } else {
                echo '<script>history.go(-2)</script> '; // 들어왔던 페이지로 이동
            }
          //exit; // 위 문장에서 다른 url로 이동하니 이것도 필요없을것 같은데...
        }
        return $isForm;
    }
}

//**** 함수 (썸네일 만들기) *******************************************************************************************
function make_thumb($file, $thumb, $t_width,$t_height) {
    $source_image = imagecreatefromstring(file_get_contents($file)); //파일정보 읽기
    $width  = imagesx($source_image);
    $height = imagesy($source_image);
    if ($width <= $t_width && $height <= $t_height) { // 가로세로 모두 원본보다 작으면 원본 크기로
        $t_width = $width;
        $t_height = $height;
    } else if ($width < $height ) {  // 세로가 길면 세로를 썸네일에 맞추고 가로 계산
        $t_width = ceil(($width * $t_height) / $height) ;
    } // 그밖의 사이즈는 사용자가 지정한 크기로 계산

    $virtual_image = imagecreatetruecolor($t_width, $t_height); //가상 이미지 틀 만들기
    imagecopyresampled($virtual_image, $source_image, 0, 0, 0, 0, $t_width, $t_height, $width, $height); //이미지틀에 원본 축소해서 복사
    imagejpeg($virtual_image, $thumb); // jpg파일로 썸네일 생성
    imagedestroy($virtual_image); // 가상이미지 삭제
}
?>
