<?php
function generate_page_links($cur_page, $num_pages) {
    $page_links = '  <div class="w3-bar w3-border w3-small w3-round">'."\n";
    // 현재 페이지가 1페이지가 아닐때, [이전] 버튼링크 생성
    if ($cur_page > 1) {
        $page_links .= '    <a class="w3-button" href="' .$_SERVER['PHP_SELF']. '?page=' .($cur_page - 1).'">이전</a>'."\n";
    } else {
        $page_links .= '    <a  class="w3-button">이전</a>'."\n";
    }

    // 페이지 번호와 링크 생성
    for ($i = 1; $i <= $num_pages; $i++) {
        if ($cur_page == $i) {
            $page_links .= '    <a class="w3-button w3-blue">' .$i.'</a>'."\n";
        } else {
            $page_links .= '    <a class="w3-button" href="' . $_SERVER['PHP_SELF'] . '?page=' .$i. '">' .$i. '</a>'."\n";
        }
    }

    // 현재 페이지가 마지막 페이지가 아닐때, [다음] 링크버튼 생성
    if ($cur_page < $num_pages) {
        $page_links .= '    <a class="w3-button" href="' . $_SERVER['PHP_SELF'] . '?page=' .($cur_page + 1). '">다음</a>'."\n";
        $page_links .= "</div>\n";
    } else {
        $page_links .= '    <a class="w3-button">다음</a>'."\n";
        $page_links .= "</div>\n";
    }
    return $page_links;
}
?>
