<?php
if (!defined('YOGI')) exit ; // 개별 페이지 접근 불가
// 세션변수에 로그인 정보가 없으면, 그냥 나간다.
if (!isset($_SESSION['ssuno'])) {
    echo '<p>로그인이 필요한 서비스입니다.</p>';
    exit();
}
$out_form1 = false; // pw 검사 폼 
$out_form2 = false; // 회원정보변경 폼 

//==== 사용자정보 변경에서 [확인] 눌렀으면 (yogi/user_edit.php의 Form 에서 왔으면..)
if (isset($_POST['submit2'])) {
    $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME);
    $uname = mysqli_real_escape_string($dbc, trim($_POST['uname']));
    $email = mysqli_real_escape_string($dbc, trim($_POST['email']));
    $mobile = mysqli_real_escape_string($dbc, trim($_POST['mobile']));

    // 변경된 사용자정보 저장
    if (!empty($uname)) {
        $query = "UPDATE yg_user SET uname = '$uname', email = '$email' , mobile = '$mobile' WHERE uno =" .$_SESSION['ssuno'];
        mysqli_query($dbc, $query) or die('회원정보 변경실패 - 요기1');
        echo '<p>변경되었습니다.</p>';
        mysqli_close($dbc);
        $_SESSION['ssuname'] = $uname; // 세션,쿠키의 사용자명도 변경
        //setcookie('uname', $row['uname'], time() + (60 * 60 * 24 * 1)); 쿠키는 나중에
        exit();
    } else {
        echo '<p class="w3-text-red">회원명 을 입력하세요.</p>';
        $out_form2 = true;  // form2 (사용자 정보변경) 출력 
    }
//==== 비밀번호 검사 통과하면 (/profile_edit.php 의 Form 에서 왔으면..)
} elseif (isset($_POST['submit1'])) {
    $pass  = $_POST['pass'] ;
    $uno   = $_SESSION['ssuno'] ;
    $dbc   = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME);
    $query = "SELECT uid, uname, email, mobile, level, pass FROM yg_user WHERE uno = '$uno'";
    $result= mysqli_query($dbc, $query) or die('DB 쿼리에러 - 요기2');
    // 비밀번호가 맞으면 사용자 정보변경 창 (skin/user_edit.php) 출력
    if (mysqli_num_rows($result)==1) {
        $row = mysqli_fetch_array($result);
        if (password_verify($pass, $row['pass'])) { // 비밀번호가 맞으면
            if ($row != NULL) {
                $uid   = $row['uid'];
                $uname = $row['uname'];
                $email = $row['email'];
                $mobile = $row['mobile'];
            } else {
                echo '<p class="w3-text-red">회원정보를 가져올 수 없습니다. 다시 로그인해 시도해 보세요/</p>';
                exit();
            }
            $out_form2 = true;  // form2 (사용자 정보변경) 출력 
        } else {
            echo '<p class="w3-text-red">비밀번호가 틀립니다.</p>';
            mysqli_close($dbc);
            $out_form1 = true; // form1 (Password 검사 입력폼)출력 
        }
    // 비밀번호가 틀리면 다시 비밀번호 검사 화면 출력
    } else {
        echo '<p class="w3-text-red">비밀번호가 틀립니다.</p>';
        mysqli_close($dbc);
        $out_form1 = true; // form1 (Password 검사 입력폼)출력 
    }
//==== 처음 들어 올 때는 비밀번호 검사창 출력
} else {
    $out_form1 = true; // form1 (Password 검사 입력폼)출력 
}

//-----------------------------------------------------------------------------------------------
//==== 위 조건문에서 $out_form1, $out_form2 의 값이 True 이면 폼 출력 
//-----------------------------------------------------------------------------------------------
if ($out_form1 == true): ?>
  <div class="w3-left-align" style="max-width:500px">
    <h5>비밀번호 확인</h5>
    <form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
      <input type="password" class="w3-input w3-border w3-margin-bottom" name="pass" placeholder="본인 확인을 위해 비밀번호를 다시 한 번 입력하세요"/>
      <input type="submit" value="확 인" name="submit1" />
    </form>
  </div>
<?php elseif ($out_form2 == true): ?>
  <h4>회원 정보수정</h4>
  <form class="w3-left-align" style="max-width:500px; margin:auto" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
    <label for="uname">이름/별명</label>
    <input type="text" class="w3-input w3-border w3-margin-bottom" id="uname" name="uname" value="<?php if (!empty($uname)) echo $uname; ?>" required>
    <label for="email">이메일</label>
    <input type="text" class="w3-input w3-border w3-margin-bottom" id="email" name="email" value="<?php if (!empty($email)) echo $email; ?>" required>
    <label for="mobile">휴대폰</label>
    <input type="text" class="w3-input w3-border w3-margin-bottom" id="mobile" name="mobile" value="<?php if (!empty($mobile)) echo $mobile; ?>" required>
    <div class="w3-center">
      <button class="w3-button w3-border w3-round-large w3-blue" type="submit" name="submit2">변경내용 수정</button>
    </div>
  </form>
<?php endif; ?>
