<?php
if (!defined('YOGI')) exit ; // 개별 페이지 접근 불가
// 로그인 여부 확인
if (!isset($_SESSION['ssuno'])) {
    echo '<p>로그인을 먼저 하세요.</p>';
    exit();
}

if (isset($_POST['submit'])) {
    $dbc = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME) or die('db접속에러'); // DB 접속
    $pass0 = mysqli_real_escape_string($dbc, trim($_POST['pass0'])); // 원래 비번
    $pass1 = mysqli_real_escape_string($dbc, trim($_POST['pass1'])); // 새 비번
    $pass2 = mysqli_real_escape_string($dbc, trim($_POST['pass2'])); // 새 비번확인

    //-- 변경 비번 확인하고 저장
    if (!empty($pass0) && !empty($pass2) && ($pass1 == $pass2)) {
        $query = "SELECT pass FROM yg_user WHERE uno =" .$_SESSION['ssuno'] . " LIMIT 1 ;" ;
        $data = mysqli_query($dbc, $query) or die('쿼리에러 - 요기1');
        if (mysqli_num_rows($data) == 1) {
            $row = mysqli_fetch_array($data);
            if (password_verify($pass0, $row['pass'])) { // 비밀번호가 맞으면..
                $hash = password_hash($pass2, PASSWORD_BCRYPT); // 비번 암호화
                $query = "UPDATE yg_user SET pass = '$hash' WHERE uno = " . $_SESSION['ssuno'] . " LIMIT 1 ;" ;
                mysqli_query($dbc, $query) or die('쿼리에러 - 요기2');
                echo '<p>변경되었습니다.</p>';
                mysqli_close($dbc);
                exit(); // 변경하면 여기서 나간다.
            } else {
                echo '<p class="w3-text-red">변경전 비밀번호가 맞지 않습니다.</p>';
            }
        } else {
            echo '<p class="w3-text-red">회원정보를 찾을 수 없습니다. 다시 로그인해서 시도해 보세요.</p>';
            exit() ;
        }
    } else {
        if ($pass1 != $pass2) {
            echo '<p class="w3-text-red">입력한 새비번과 새비번확인 두 번호가 다릅니다.</p>';
        } else {
            echo '<p class="w3-text-red">비밀번호 항목을 모두 채우세요.</p>';
        }
    }
    mysqli_close($dbc);
} 
?>
    <h4>비밀번호 변경</h4>
    <form class="w3-left-align" style="max-width:500px; margin:auto" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
      <label for="pass0">이전 비밀번호</label>
      <input type="password" class="w3-input w3-border w3-margin-bottom" id="pass0" name="pass0" placeholder="이전 비밀번호를 입력하세요" required autofocus>
      <label for="pass1">새 비밀번호</label>
      <input type="password" class="w3-input w3-border w3-margin-bottom" id="pass1" name="pass1" required>
      <label for="pass2">새 비밀번호 확인</label>
      <input type="password" class="w3-input w3-border w3-margin-bottom" id="pass2" name="pass2" required>
      <button class="w3-button w3-border w3-block w3-round-large w3-blue" type="submit" name="submit">확  인</button>
    </form>
